Class ChPpq1Producer
java.lang.Object
org.apache.camel.support.service.BaseService
org.apache.camel.support.service.ServiceSupport
org.apache.camel.support.DefaultProducer
org.openehealth.ipf.platform.camel.ihe.ws.AbstractWsProducer<ChPpqAuditDataset,WsTransactionConfiguration<ChPpqAuditDataset>,AssertionBasedRequestType,EprPolicyRepositoryResponse>
org.openehealth.ipf.platform.camel.ihe.xacml20.chppq1.ChPpq1Producer
- All Implemented Interfaces:
AutoCloseable,EndpointAware,IsSingleton,Processor,Producer,Service,ShutdownableService,StatefulService,SuspendableService
public class ChPpq1Producer
extends AbstractWsProducer<ChPpqAuditDataset,WsTransactionConfiguration<ChPpqAuditDataset>,AssertionBasedRequestType,EprPolicyRepositoryResponse>
- Since:
- 3.5.1
- Author:
- Dmytro Rud
-
Field Summary
Fields inherited from class org.apache.camel.support.service.BaseService
BUILT, FAILED, INITIALIZED, INITIALIZING, lock, NEW, SHUTDOWN, SHUTTING_DOWN, STARTED, STARTING, status, STOPPED, STOPPING, SUSPENDED, SUSPENDING -
Constructor Summary
ConstructorsConstructorDescriptionChPpq1Producer(AbstractWsEndpoint<ChPpqAuditDataset, WsTransactionConfiguration<ChPpqAuditDataset>> endpoint, JaxWsClientFactory<ChPpqAuditDataset> clientFactory) -
Method Summary
Modifier and TypeMethodDescriptionprotected EprPolicyRepositoryResponsecallService(Object clientObject, AssertionBasedRequestType body) Sends the given request body to a Web Service via the given client proxy.Methods inherited from class org.openehealth.ipf.platform.camel.ihe.ws.AbstractWsProducer
cleanRequestContext, configureClient, enrichRequestContext, enrichResponseMessage, getAlternativeRequestKeys, getEndpoint, getRequestClass, getResponseClass, getWsTransactionConfiguration, processMethods inherited from class org.apache.camel.support.DefaultProducer
createExchange, doStart, doStop, isSingleton, toStringMethods inherited from class org.apache.camel.support.service.BaseService
build, doBuild, doFail, doInit, doLifecycleChange, doResume, doShutdown, doSuspend, fail, getInternalLock, getStatus, init, isBuild, isInit, isNew, isRunAllowed, isShutdown, isStarted, isStarting, isStartingOrStarted, isStopped, isStopping, isStoppingOrStopped, isSuspended, isSuspending, isSuspendingOrSuspended, resume, shutdown, start, stop, suspendMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, waitMethods inherited from interface org.apache.camel.ShutdownableService
shutdownMethods inherited from interface org.apache.camel.StatefulService
getStatus, isRunAllowed, isStarted, isStarting, isStopped, isStopping, isSuspendingMethods inherited from interface org.apache.camel.SuspendableService
isSuspended, resume, suspend
-
Constructor Details
-
ChPpq1Producer
public ChPpq1Producer(AbstractWsEndpoint<ChPpqAuditDataset, WsTransactionConfiguration<ChPpqAuditDataset>> endpoint, JaxWsClientFactory<ChPpqAuditDataset> clientFactory)
-
-
Method Details
-
callService
protected EprPolicyRepositoryResponse callService(Object clientObject, AssertionBasedRequestType body) throws Exception Description copied from class:AbstractWsProducerSends the given request body to a Web Service via the given client proxy.- Specified by:
callServicein classAbstractWsProducer<ChPpqAuditDataset,WsTransactionConfiguration<ChPpqAuditDataset>, AssertionBasedRequestType, EprPolicyRepositoryResponse> - Throws:
Exception
-